> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get one app-event catalog entry by type/name

> Fetch a single selectable app event by its appEventType (e.g. app.whatsapp.message_received).



## OpenAPI

````yaml /api-reference/workflows.yaml get /app-events/catalog/{appEventType}
openapi: 3.1.0
info:
  title: Workflows
  version: v1
servers:
  - url: https://api.mobilerun.ai
    description: Droidrun Cloud API
security:
  - bearerAuth: []
paths:
  /app-events/catalog/{appEventType}:
    get:
      tags:
        - App Events
      summary: Get one app-event catalog entry by type/name
      description: >-
        Fetch a single selectable app event by its appEventType (e.g.
        app.whatsapp.message_received).
      operationId: getAppEventCatalogEntry
      parameters:
        - schema:
            type: string
            minLength: 1
            maxLength: 128
          required: true
          name: appEventType
          in: path
      responses:
        '200':
          description: App-event catalog entry
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/AppEventCatalogEntry'
                required:
                  - data
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  schemas:
    AppEventCatalogEntry:
      type: object
      properties:
        appEventType:
          type: string
        label:
          type: string
        appName:
          type: string
        category:
          type: string
          enum:
            - app
            - system
            - device
            - webhook
        packageName:
          type:
            - string
            - 'null'
        sourceEventType:
          type: string
        payloadSchema:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
              type:
                type: string
                enum:
                  - string
                  - number
                  - boolean
                  - object
                  - array
              description:
                type: string
              example: {}
            required:
              - name
              - type
              - description
      required:
        - appEventType
        - label
        - appName
        - category
        - packageName
        - sourceEventType
        - payloadSchema
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Opaque
      description: Bearer token via Authorization header

````